LISA(4)

NAME
lisa - STMicroelectronics LIS331DL MEMS motion sensor

SYNOPSIS
lisa* at iic?

DESCRIPTION
The lisa driver provides support for the ST LIS331DL 3-axis digital output accelerometer. A total of 3 sensors are provided, one for each axis (X, Y and Z). Each reading from LIS331DL is represented by an 8-bit 2's complement number.

Sensor values are made available through the HW_SENSORS sysctl(2) interface, and can be monitored with the systat(1) sensors view, sensorsd(8) and sysctl(8) hw.sensors.

SEE ALSO
systat(1), sysctl(2), iic(4), intro(4), sensorsd(8), sysctl(8) LIS331DL MEMS motion sensor, Rev 3, April 2008, STMicroelectronics.

HISTORY
The lisa driver first appeared in OpenBSD 4.7.

AUTHORS
The lisa driver was written by Constantine A. Murenin <cnst@openbsd.org>, University of Waterloo.